module SetCurrentRequestDetails
  extend ActiveSupport::Concern

  included do
    before_action do
      Current.user = current_user if signed_in?
      Current.account = Account.find(session[:active_account]) if session[:active_account]
    end
  end
end
